# dmxinit.h File Reference

`#include "scrnintstr.h"`

Go to the source code of this file.

## Functions

Bool | dmxOpenDisplay (DMXScreenInfo *dmxScreen)
void | dmxSetErrorHandler (DMXScreenInfo *dmxScreen)
void | dmxCheckForWM (DMXScreenInfo *dmxScreen)
void | dmxGetScreenAttribs (DMXScreenInfo *dmxScreen)
Bool | dmxGetVisualInfo (DMXScreenInfo *dmxScreen)
void | dmxGetColormaps (DMXScreenInfo *dmxScreen)
void | dmxGetPixmapFormats (DMXScreenInfo *dmxScreen)

## Detailed Description

Interface for initialization.

See also:
  dmxinit.c

## Function Documentation

void dmxCheckForWM | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beDisplay, and _DMXScreenInfo::WMRunningOnBE.

Referenced by dmxAttachScreen(), and dmxDisplayInit().

void dmxGetColormaps | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beBlackPixel, _DMXScreenInfo::beDefColormaps, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDefColormaps, _DMXScreenInfo::beNumVisuals, _DMXScreenInfo::beVisuals, and _DMXScreenInfo::beWhitePixel.

Referenced by dmxAttachScreen(), and dmxDisplayInit().

void dmxGetPixmapFormats | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beDepths, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDepths, _DMXScreenInfo::beNumPixmapFormats, and _DMXScreenInfo::bePixmapFormats.

Referenced by dmxAttachScreen(), and dmxDisplayInit().

void dmxGetScreenAttribs | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beBPP, _DMXScreenInfo::beDepth, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beHeight, _DMXScreenInfo::beWidth, _DMXScreenInfo::beXDPI, _DMXScreenInfo::beYDPI, dmxLogOutput(), dmxLogOutputWarning(), dmxPrintScreenInfo(), _DMXScreenInfo::rootHeight, _DMXScreenInfo::rootWidth, _DMXScreenInfo::rootX, _DMXScreenInfo::rootY, _DMXScreenInfo::scrnHeight, _DMXScreenInfo::scrnWidth, _DMXScreenInfo::scrnX, _DMXScreenInfo::scrnXSign, _DMXScreenInfo::scrnY, and _DMXScreenInfo::scrnYSign.

Referenced by dmxAttachScreen(), and dmxDisplayInit().

Bool dmxGetVisualInfo | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beDefVisualIndex, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumVisuals, _DMXScreenInfo::beVisuals, dmxDepth, and dmxLogVisual().

Referenced by dmxAttachScreen(), and dmxDisplayInit().

Bool dmxOpenDisplay | ( | DMXScreenInfo * | dmxScreen | ) |

References _DMXScreenInfo::beDisplay, dmxPropertyDisplay(), and _DMXScreenInfo::name.

Referenced by dmxAttachScreen(), and dmxDisplayInit().

void dmxSetErrorHandler | ( | DMXScreenInfo * | dmxScreen | ) |

References dmxErrorHandler().

Referenced by dmxAttachScreen(), and dmxDisplayInit().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>